.front-banner {
  --banner-background-color: var(--bg-dark);
  --banner-description-max-width: calc(
    ((100% - var(--grid-column-gap)) / 6) * 4
  );
  --banner-form-offset: 0px;
  --banner-form-width: 25.9375rem;
  --banner-gap: 3.75rem;
  --banner-gap-slide: 2.8125rem;
  --banner-gradient: linear-gradient(
    180deg,
    rgba(10, 10, 10, 0.3) 0%,
    rgba(10, 10, 10, 0.3) 100%
  );
  --banner-min-height: calc(
    100vh - var(--global-header-height, 0px) - var(--global-dvh-diff, 0px)
  );
  --banner-padding-bottom: 0px;
  --banner-slide-padding-bottom: 2.5rem;
  --banner-slide-padding-top: 7.5rem;
  --banner-text-color: var(--text-dark-primary);
  position: relative;
  padding-bottom: var(--banner-padding-bottom);
  width: 100%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  overflow: visible;
}
@media (min-width: 1921px) {
  .front-banner {
    --banner-form-width: 21.6145833333vw;
    --banner-gap: 3.125vw;
    --banner-gap-slide: 2.34375vw;
    --banner-slide-padding-bottom: 2.0833333333vw;
    --banner-slide-padding-top: 6.25vw;
  }
}
@media (max-width: 1600px) {
  .front-banner {
    --banner-form-width: 22.5rem;
    --banner-gap: 3.125rem;
    --banner-slide-padding-top: 6.25rem;
  }
}
@media (max-width: 1160px) {
  .front-banner {
    --banner-description-max-width: unset;
    --banner-form-offset: 1.875rem;
    --banner-form-width: 100%;
    --banner-gap-slide: 2.1875rem;
    --banner-min-height: 50vh;
    --banner-padding-bottom: var(--container-offset);
    --banner-slide-padding-bottom: 3.125rem;
    --banner-slide-padding-top: 3.75rem;
  }
  @supports (height: 100svh) {
    .front-banner {
      --banner-min-height: 50svh;
    }
  }
}
@media (max-width: 630px) {
  .front-banner {
    --banner-gap: 2.5rem;
    --banner-gap-slide: 1.5625rem;
    --banner-slide-padding-bottom: 2.5rem;
    --banner-slide-padding-top: 1.875rem;
  }
}
.front-banner > .swiper > .swiper-wrapper {
  z-index: 1;
  width: 100%;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: stretch;
      -ms-flex-pack: stretch;
          justify-content: stretch;
  overflow: hidden;
}
.front-banner > .swiper > .swiper-wrapper .swiper-slide {
  position: relative;
  padding-top: var(--banner-slide-padding-top);
  padding-bottom: calc(var(--banner-slide-padding-bottom) + var(--banner-form-offset));
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  height: auto;
  min-height: var(--banner-min-height);
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  row-gap: var(--banner-gap);
  -webkit-column-gap: var(--grid-column-gap);
     -moz-column-gap: var(--grid-column-gap);
          column-gap: var(--grid-column-gap);
  background-color: var(--banner-background-color);
}
.front-banner > .swiper > .swiper-wrapper .swiper-slide .container {
  position: relative;
  z-index: 1;
  grid-column: 1/7;
  grid-row: 1/2;
  padding-right: 0;
  gap: var(--banner-gap-slide);
}
@media (max-width: 1160px) {
  .front-banner > .swiper > .swiper-wrapper .swiper-slide .container {
    grid-column: 1/9;
  }
}
@media (max-width: 630px) {
  .front-banner > .swiper > .swiper-wrapper .swiper-slide .container {
    grid-column: 1/13;
    padding: 0 var(--container-offset);
  }
}
.front-banner > .swiper > .swiper-wrapper .swiper-slide::before {
  content: var(--banner-form-content, unset);
  grid-column: 7/13;
  grid-row: 1/2;
  margin-top: auto;
  width: 0;
  height: var(--banner-form-height, 0px);
  display: block;
  opacity: 0;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
@media (max-width: 1160px) {
  .front-banner > .swiper > .swiper-wrapper .swiper-slide::before {
    content: unset;
  }
}
.front-banner > .swiper > .swiper-wrapper .swiper-slide::after {
  content: var(--banner-navigation-content, unset);
  grid-column: 1/13;
  grid-row: 2/3;
  margin-top: auto;
  width: 0;
  height: var(--banner-navigation-height, 0px);
  display: block;
  opacity: 0;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.front-banner__background {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.front-banner__background img, .front-banner__background picture {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
}
.front-banner__background::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background-image: var(--banner-gradient);
}
.front-banner__video {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.front-banner__content {
  position: relative;
  z-index: 1;
  width: 100%;
  max-width: var(--banner-content-max-width);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.875rem;
}
@media (min-width: 1921px) {
  .front-banner__content {
    gap: 1.5625vw;
  }
}
@media (max-width: 1160px) {
  .front-banner__content {
    gap: 1.25rem;
  }
}
@media (max-width: 630px) {
  .front-banner__content {
    gap: 0.9375rem;
  }
}
.front-banner__title {
  color: var(--banner-text-color);
}
.front-banner__title:empty {
  display: none;
}
.front-banner__description {
  max-width: var(--banner-description-max-width);
  color: var(--banner-text-color);
  font: var(--font-body-L-r);
}
@media (max-width: 630px) {
  .front-banner__description {
    font: var(--font-body-M-r);
  }
}
.front-banner__description:empty {
  display: none;
}
.front-banner__button-list {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 0.625rem;
}
@media (min-width: 1921px) {
  .front-banner__button-list {
    gap: 0.5208333333vw;
  }
}
.front-banner__navigation {
  position: absolute;
  bottom: var(--banner-slide-padding-bottom);
  left: 0;
  z-index: 3;
  margin: 0 auto;
  padding: 0 var(--container-offset);
  width: 100%;
  max-width: var(--container-width);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 3.75rem;
}
@media (min-width: 1921px) {
  .front-banner__navigation {
    gap: 3.125vw;
  }
}
@media (max-width: 1160px) {
  .front-banner__navigation {
    bottom: calc(var(--banner-slide-padding-bottom) + var(--banner-form-height, 0px));
  }
}
@media (max-width: 630px) {
  .front-banner__navigation {
    gap: 1.25rem;
  }
}
.front-banner .front-form {
  position: absolute;
  top: var(--banner-slide-padding-top);
  right: var(--container-offset);
  z-index: 1;
  width: var(--banner-form-width);
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
}
@media (max-width: 1160px) {
  .front-banner .front-form {
    position: relative;
    top: 0;
    right: 0;
    margin-top: calc(0px - var(--banner-form-offset));
    margin-right: auto;
    margin-left: auto;
    width: calc(100% - var(--container-offset) * 2);
  }
}
.js-has-pseudo [csstools-has-1a-2u-36-33-32-38-19-2q-2p-32-32-2t-36-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2q-2p-32-32-2t-36-2n-2n-32-2p-3a-2x-2v-2p-38-2x-33-32-15-w-1a-37-3b-2x-34-2t-36-19-37-30-2x-2s-2t]:not(.does-not-exist):not(.does-not-exist) {
  grid-template-rows: 1fr auto;
}
.front-banner:has(.front-banner__navigation) .swiper-slide {
  grid-template-rows: 1fr auto;
}
.invert-components .front-banner:not(.no-invert), .front-banner.invert-components:not(.no-invert) {
  --banner-background-color: var(--bg-light);
  --banner-gradient: linear-gradient(
    180deg,
    rgba(10, 10, 10, 0.3) 0%,
    rgba(10, 10, 10, 0.3) 100%
  );
  --banner-text-color: var(--text-light-primary);
}
.js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
  --banner-form-offset: 0px;
  --banner-gap: 5rem;
  --banner-min-height: calc(100vh - var(--global-header-height, 0px) - var(--global-dvh-diff, 0px));
  --banner-padding-bottom: 0px;
  --banner-slide-padding-bottom: 2.5rem;
}
.front-banner:not(:has(.front-form)) {
  --banner-form-offset: 0px;
  --banner-gap: 5rem;
  --banner-min-height: calc(100vh - var(--global-header-height, 0px) - var(--global-dvh-diff, 0px));
  --banner-padding-bottom: 0px;
  --banner-slide-padding-bottom: 2.5rem;
}
@media (min-width: 1921px) {
  .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
    --banner-gap: 4.1666666667vw;
    --banner-slide-padding-bottom: 2.0833333333vw;
  }
  .front-banner:not(:has(.front-form)) {
    --banner-gap: 4.1666666667vw;
    --banner-slide-padding-bottom: 2.0833333333vw;
  }
}
@media (max-width: 1600px) {
  .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
    --banner-gap: 3.125rem;
  }
  .front-banner:not(:has(.front-form)) {
    --banner-gap: 3.125rem;
  }
}
@media (max-width: 1160px) {
  .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
    --banner-gap: 3.75rem;
    --banner-min-height: 50vh;
  }
  .front-banner:not(:has(.front-form)) {
    --banner-gap: 3.75rem;
    --banner-min-height: 50vh;
  }
  @supports (height: 100svh) {
    .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
      --banner-min-height: 50svh;
    }
    .front-banner:not(:has(.front-form)) {
      --banner-min-height: 50svh;
    }
  }
}
@media (max-width: 630px) {
  .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) {
    --banner-gap: 1.875rem;
    --banner-gap-slide: 1.25rem;
    --banner-slide-padding-bottom: 2.8125rem;
  }
  .front-banner:not(:has(.front-form)) {
    --banner-gap: 1.875rem;
    --banner-gap-slide: 1.25rem;
    --banner-slide-padding-bottom: 2.8125rem;
  }
}
.js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) > .swiper > .swiper-wrapper .swiper-slide > .container {
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}
.front-banner:not(:has(.front-form)) > .swiper > .swiper-wrapper .swiper-slide > .container {
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}
.js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) > .swiper > .swiper-wrapper .swiper-slide > .container::after {
  margin-top: 0;
}
.front-banner:not(:has(.front-form)) > .swiper > .swiper-wrapper .swiper-slide > .container::after {
  margin-top: 0;
}
.js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) .swiper-navigation {
  position: absolute;
  right: var(--container-offset);
  bottom: calc(100% + var(--banner-gap));
}
.front-banner:not(:has(.front-form)) .swiper-navigation {
  position: absolute;
  right: var(--container-offset);
  bottom: calc(100% + var(--banner-gap));
}
@media (max-width: 630px) {
  .js-has-pseudo .front-banner:not([csstools-has-1m-2w-2p-37-14-1a-2u-36-33-32-38-19-2u-33-36-31-15]) .swiper-navigation {
    position: relative;
    right: unset;
    bottom: unset;
  }
  .front-banner:not(:has(.front-form)) .swiper-navigation {
    position: relative;
    right: unset;
    bottom: unset;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
